%define anolis_release 1
Name:           perl-PadWalker
Version:        2.5
Release:        %{anolis_release}%{?dist}
Summary:        Play with other people's lexical variables
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/PadWalker
Source0:        https://cpan.metacpan.org/authors/id/R/RO/ROBIN/PadWalker-%{version}.tar.gz
# Build:
BuildRequires:  coreutils
BuildRequires:  findutils
BuildRequires:  gcc
BuildRequires:  make
BuildRequires:  perl-devel
BuildRequires:  perl-generators
BuildRequires:  perl-interpreter
BuildRequires:  perl(ExtUtils::MakeMaker)
# Run-time
BuildRequires:  perl(DynaLoader)
BuildRequires:  perl(Exporter)
BuildRequires:  perl(strict)
BuildRequires:  perl(vars)
# Tests:
BuildRequires:  perl(Data::Dumper)
BuildRequires:  perl(warnings)

%{?perl_default_filter}

%description
PadWalker is a module that allows you to inspect (and even change!)
lexical variables in any subroutine that called you. It will only show
those variables that are in scope at the point of the call.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%setup -q -n PadWalker-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor OPTIMIZE="%{optflags}"
%make_build

%install
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -delete
find %{buildroot} -type f -name '*.bs' -empty -delete
%{_fixperms} -c %{buildroot}

%check
%make_build test

%files
%{perl_vendorarch}/auto/PadWalker/
%{perl_vendorarch}/PadWalker.pm
%{_mandir}/man3/PadWalker.3*

%files doc
%doc Changes README

%changelog
* Tue Jan 31 2023 Funda Wang <fundawang@yeah.net> - 2.5-1
- Import package for anolis 23
